% Publish all m-files in the current directory.

% By Ulf Carlberg.

close all;
clear;
tic;

% Use variabe names that are not used by the scripts.
pub_d = dir('*.m');
pub_options.format = 'html';
pub_options.outputDir = './html';
pub_options.createThumbnail = false;

% Go through all files. Evalute code for "fig_*.m"-files.
for pub_ii = 1:numel(pub_d)
    if strncmp(pub_d(pub_ii).name, 'fig_', 4) || ...
            strncmp(pub_d(pub_ii).name, 'chapter', 7)
        pub_options.evalCode = true;
    else
        pub_options.evalCode = false;
    end
    publish(pub_d(pub_ii).name, pub_options);
    close all;
end

% Show elapsed time.
t = toc;
fprintf('Number of scripts = %d.\n', numel(pub_d));
fprintf('Time to evaluate and publish all scripts = %.1f seconds.\n', t);
fprintf('Average time per script = %.2f seconds.\n', t/numel(pub_d));
