function y = sinc(x)
%SINC function
%
%   function y = sinc(x)
%
%   y = sin(pi*x)/(pi*x)   when   x~=0
%   y = 1                  when   x==1

% By Ulf Carlberg.

y = sin(pi*x) ./ (pi*x);
y(x==floor(x)) = 0;  % takes care of rounding errors and Inf
y(x==0) = 1;

% Test vectors:
% 1. Test:  sinc([-Inf -1e300 -2 -1 0 1 2 1e300 Inf NaN])
%    Gives:          0      0  0  0 1 0 0     0   0 NaN
% 2. sinc([]) gives []
% 3. sinc(zeros(0,5)) gives Empty matrix: 0-by-5

end
